; **** piezo.asm (Ansteuerung Piezosignalgeber) ****
; letzter Stand :18.04.2014  -erstellt: Lothar Gde



;Der Piezoschallgeber hat eine Resonanzfrequenz von 3,6kHz = T=277,7s; die Impulse werden 1s lang wiederholt
;          ----------          ----------          ----------          ----------
;----------          ----------          ----------          ----------          ----------
;          <-139s-> <-139s->
;          <-------278s----->



; Piezo einschalten 
		lds tmp,piezo		   	;Signalgeber (bit wird in tasten.asm gesetzt)
		sbrc tmp,0	            ;berspringe nchsten Befehl wenn bit0 (von 0-7) von piezo =1 -> Piezo ein
		rjmp pi20				;wenn 1 dann Piezo ein
		cbi PORTB,7				;wenn 0 dann Piezo aus
		rjmp pi22

pi20:	cli
		clr tmp
		sts piezo,tmp
		ldi tmp2, 255			;fr 16x 255 (ca. 1s gemessen 1,16s) wiederholen 140s ein / 140s aus 
		ldi tmp1,16

pi25:	cbi PORTB,7				;139s Piezo aus (gemessen 140s ->  35x 4x 1s=140s [1s bei Internal RC Oscillator = 8 MHz und CKDIV=8])
		ldi tmp, 35				;35x Wiederholungen entspricht 140s
pi23:	tst tmp					;1 Takt
		dec tmp					;1 Takt
		brne pi23				;2 Takte
		sbi PORTB,7				;139s Piezo ein (gemessen 140s ->  35x 4x 1s=140s [1s bei Internal RC Oscillator = 8 MHz und CKDIV=8])
		ldi tmp, 35				;35x Wiederholungen entspricht 140s
pi24:	tst tmp					;1 Takt
		dec tmp					;1 Takt
		brne pi24				;2 Takte

		tst tmp2
		dec tmp2
		brne pi25				;Sprung zur nchsten Schleife
		
		ldi tmp2, 255
		tst tmp1
		dec tmp1
		brne pi25				;Sprung zur nchsten Schleife


		sei
		cbi PORTB,7				;wenn 0 dann Piezo aus
		rjmp pi22
	

pi22: 	nop				; ende
